# Class AudioPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
javax.sound.sampled.AudioPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

@Deprecated(since="24", forRemoval=true) public class AudioPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
There is no replacement for this class.
The `AudioPermission` class represents access rights to the audio system resources. An `AudioPermission` contains a target name but no actions list; you either have the named permission or you don't.

The target name is the name of the audio permission. The names follow the hierarchical property-naming convention. Also, an asterisk can be used to represent all the audio permissions.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported. Consequently this class is deprecated and may be removed in a future release.
Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AudioPermission(String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `AudioPermission` object that has the specified symbolic name, such as "play" or "record".
`AudioPermission(String name, String actions)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `AudioPermission` object that has the specified symbolic name, such as "play" or "record".

## Method Summary

### Methods declared in class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class java.security.Permission

`checkGuard, getName, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AudioPermission

public AudioPermission(String name)
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `AudioPermission` object that has the specified symbolic name, such as "play" or "record". An asterisk can be used to indicate all audio permissions.

Parameters:
  `name` - the name of the new `AudioPermission`
Throws:
  `NullPointerException` - if `name` is `null`
  `IllegalArgumentException` - if `name` is empty

### AudioPermission

public AudioPermission(String name, String actions)
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `AudioPermission` object that has the specified symbolic name, such as "play" or "record". The `actions` parameter is currently unused and should be `null`.

Parameters:
  `name` - the name of the new `AudioPermission`
  `actions` - (unused; should be `null`)
Throws:
  `NullPointerException` - if `name` is `null`
  `IllegalArgumentException` - if `name` is empty